Index: /trunk/src/VBox/Devices/Storage/ATAPIPassthrough.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/ATAPIPassthrough.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/ATAPIPassthrough.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2012-2015 Oracle Corporation
+ * Copyright (C) 2012-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/ATAPIPassthrough.h
===================================================================
--- /trunk/src/VBox/Devices/Storage/ATAPIPassthrough.h	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/ATAPIPassthrough.h	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2012-2015 Oracle Corporation
+ * Copyright (C) 2012-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/Debug.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/Debug.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/Debug.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2008-2015 Oracle Corporation
+ * Copyright (C) 2008-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/DevAHCI.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/DevAHCI.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/DevAHCI.cpp	(revision 62506)
@@ -7,5 +7,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/DevATA.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/DevATA.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/DevATA.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/DevBusLogic.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/DevBusLogic.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/DevBusLogic.cpp	(revision 62506)
@@ -7,5 +7,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/DevFdc.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/DevFdc.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/DevFdc.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/DevLsiLogicSCSI.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/DevLsiLogicSCSI.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/DevLsiLogicSCSI.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/DevLsiLogicSCSI.h
===================================================================
--- /trunk/src/VBox/Devices/Storage/DevLsiLogicSCSI.h	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/DevLsiLogicSCSI.h	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/DrvDiskIntegrity.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/DrvDiskIntegrity.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/DrvDiskIntegrity.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/DrvHostBase.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/DrvHostBase.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/DrvHostBase.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/DrvHostBase.h
===================================================================
--- /trunk/src/VBox/Devices/Storage/DrvHostBase.h	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/DrvHostBase.h	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/DrvHostDVD.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/DrvHostDVD.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/DrvHostDVD.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/DrvHostFloppy.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/DrvHostFloppy.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/DrvHostFloppy.cpp	(revision 62506)
@@ -7,5 +7,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/DrvSCSI.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/DrvSCSI.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/DrvSCSI.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/DrvSCSIHost.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/DrvSCSIHost.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/DrvSCSIHost.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/HBDMgmt-darwin.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/HBDMgmt-darwin.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/HBDMgmt-darwin.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2015 Oracle Corporation
+ * Copyright (C) 2015-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/HBDMgmt-generic.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/HBDMgmt-generic.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/HBDMgmt-generic.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2015 Oracle Corporation
+ * Copyright (C) 2015-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/HBDMgmt-win.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/HBDMgmt-win.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/HBDMgmt-win.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2015 Oracle Corporation
+ * Copyright (C) 2015-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/HBDMgmt.h
===================================================================
--- /trunk/src/VBox/Devices/Storage/HBDMgmt.h	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/HBDMgmt.h	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2015 Oracle Corporation
+ * Copyright (C) 2015-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/PIIX3ATABmDma.h
===================================================================
--- /trunk/src/VBox/Devices/Storage/PIIX3ATABmDma.h	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/PIIX3ATABmDma.h	(revision 62506)
@@ -7,5 +7,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/UsbMsd.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/UsbMsd.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/UsbMsd.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2007-2015 Oracle Corporation
+ * Copyright (C) 2007-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/VBoxSCSI.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/VBoxSCSI.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/VBoxSCSI.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/VBoxSCSI.h
===================================================================
--- /trunk/src/VBox/Devices/Storage/VBoxSCSI.h	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/VBoxSCSI.h	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/VSCSI/VSCSIDevice.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/VSCSI/VSCSIDevice.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/VSCSI/VSCSIDevice.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/VSCSI/VSCSIInline.h
===================================================================
--- /trunk/src/VBox/Devices/Storage/VSCSI/VSCSIInline.h	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/VSCSI/VSCSIInline.h	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/VSCSI/VSCSIInternal.h
===================================================================
--- /trunk/src/VBox/Devices/Storage/VSCSI/VSCSIInternal.h	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/VSCSI/VSCSIInternal.h	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/VSCSI/VSCSIIoReq.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/VSCSI/VSCSIIoReq.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/VSCSI/VSCSIIoReq.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/VSCSI/VSCSILun.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/VSCSI/VSCSILun.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/VSCSI/VSCSILun.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/VSCSI/VSCSILunMmc.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/VSCSI/VSCSILunMmc.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/VSCSI/VSCSILunMmc.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/VSCSI/VSCSILunSbc.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/VSCSI/VSCSILunSbc.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/VSCSI/VSCSILunSbc.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/VSCSI/VSCSISense.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/VSCSI/VSCSISense.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/VSCSI/VSCSISense.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/VSCSI/VSCSIVpdPagePool.cpp
===================================================================
--- /trunk/src/VBox/Devices/Storage/VSCSI/VSCSIVpdPagePool.cpp	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/VSCSI/VSCSIVpdPagePool.cpp	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2015 Oracle Corporation
+ * Copyright (C) 2011-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/VSCSI/VSCSIVpdPages.h
===================================================================
--- /trunk/src/VBox/Devices/Storage/VSCSI/VSCSIVpdPages.h	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/VSCSI/VSCSIVpdPages.h	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2015 Oracle Corporation
+ * Copyright (C) 2011-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/ide.h
===================================================================
--- /trunk/src/VBox/Devices/Storage/ide.h	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/ide.h	(revision 62506)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: /trunk/src/VBox/Devices/Storage/swab.h
===================================================================
--- /trunk/src/VBox/Devices/Storage/swab.h	(revision 62505)
+++ /trunk/src/VBox/Devices/Storage/swab.h	(revision 62506)
@@ -16,5 +16,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as