Index: trunk/src/VBox/Devices/Input/DevPS2.cpp
===================================================================
--- trunk/src/VBox/Devices/Input/DevPS2.cpp	(revision 60404)
+++ trunk/src/VBox/Devices/Input/DevPS2.cpp	(revision 62513)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Devices/Input/DrvKeyboardQueue.cpp
===================================================================
--- trunk/src/VBox/Devices/Input/DrvKeyboardQueue.cpp	(revision 60404)
+++ trunk/src/VBox/Devices/Input/DrvKeyboardQueue.cpp	(revision 62513)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Devices/Input/DrvMouseQueue.cpp
===================================================================
--- trunk/src/VBox/Devices/Input/DrvMouseQueue.cpp	(revision 60404)
+++ trunk/src/VBox/Devices/Input/DrvMouseQueue.cpp	(revision 62513)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Devices/Input/PS2Dev.h
===================================================================
--- trunk/src/VBox/Devices/Input/PS2Dev.h	(revision 60404)
+++ trunk/src/VBox/Devices/Input/PS2Dev.h	(revision 62513)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2007-2015 Oracle Corporation
+ * Copyright (C) 2007-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Devices/Input/PS2K.cpp
===================================================================
--- trunk/src/VBox/Devices/Input/PS2K.cpp	(revision 60404)
+++ trunk/src/VBox/Devices/Input/PS2K.cpp	(revision 62513)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2007-2015 Oracle Corporation
+ * Copyright (C) 2007-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Devices/Input/PS2M.cpp
===================================================================
--- trunk/src/VBox/Devices/Input/PS2M.cpp	(revision 60404)
+++ trunk/src/VBox/Devices/Input/PS2M.cpp	(revision 62513)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2007-2015 Oracle Corporation
+ * Copyright (C) 2007-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Devices/Input/UsbKbd.cpp
===================================================================
--- trunk/src/VBox/Devices/Input/UsbKbd.cpp	(revision 60404)
+++ trunk/src/VBox/Devices/Input/UsbKbd.cpp	(revision 62513)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2007-2015 Oracle Corporation
+ * Copyright (C) 2007-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Devices/Input/UsbMouse.cpp
===================================================================
--- trunk/src/VBox/Devices/Input/UsbMouse.cpp	(revision 60404)
+++ trunk/src/VBox/Devices/Input/UsbMouse.cpp	(revision 62513)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2007-2015 Oracle Corporation
+ * Copyright (C) 2007-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Devices/Input/testcase/Makefile.kmk
===================================================================
--- trunk/src/VBox/Devices/Input/testcase/Makefile.kmk	(revision 60404)
+++ trunk/src/VBox/Devices/Input/testcase/Makefile.kmk	(revision 62513)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2013-2015 Oracle Corporation
+# Copyright (C) 2013-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Devices/Input/testcase/tstUsbMouse.cpp
===================================================================
--- trunk/src/VBox/Devices/Input/testcase/tstUsbMouse.cpp	(revision 60404)
+++ trunk/src/VBox/Devices/Input/testcase/tstUsbMouse.cpp	(revision 62513)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2013-2015 Oracle Corporation
+ * Copyright (C) 2013-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as