Index: trunk/src/VBox/Additions/WINNT/VBoxTray/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/Makefile.kmk	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/Makefile.kmk	(revision 62522)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2006-2015 Oracle Corporation
+# Copyright (C) 2006-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxClipboard.cpp
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxClipboard.cpp	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxClipboard.cpp	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxClipboard.h
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxClipboard.h	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxClipboard.h	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDispIf.cpp
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDispIf.cpp	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDispIf.cpp	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2012 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDispIf.h
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDispIf.h	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDispIf.h	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2012 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDisplay.cpp
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDisplay.cpp	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDisplay.cpp	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDisplay.h
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDisplay.h	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDisplay.h	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDnDDataObject.cpp
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDnDDataObject.cpp	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDnDDataObject.cpp	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2013-2015 Oracle Corporation
+ * Copyright (C) 2013-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDnDDropSource.cpp
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDnDDropSource.cpp	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDnDDropSource.cpp	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2013-2015 Oracle Corporation
+ * Copyright (C) 2013-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDnDEnumFormat.cpp
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDnDEnumFormat.cpp	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxDnDEnumFormat.cpp	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2013-2015 Oracle Corporation
+ * Copyright (C) 2013-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxHelpers.cpp
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxHelpers.cpp	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxHelpers.cpp	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2011 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxHelpers.h
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxHelpers.h	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxHelpers.h	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2011 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxHostVersion.cpp
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxHostVersion.cpp	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxHostVersion.cpp	(revision 62522)
@@ -6,5 +6,5 @@
 
 /*
- * Copyright (C) 2010-2015 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxHostVersion.h
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxHostVersion.h	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxHostVersion.h	(revision 62522)
@@ -6,5 +6,5 @@
 
 /*
- * Copyright (C) 2006-2010 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxIPC.cpp
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxIPC.cpp	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxIPC.cpp	(revision 62522)
@@ -7,5 +7,5 @@
 
 /*
- * Copyright (C) 2010-2015 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxIPC.h
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxIPC.h	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxIPC.h	(revision 62522)
@@ -7,5 +7,5 @@
 
 /*
- * Copyright (C) 2006-2013 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxLA.cpp
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxLA.cpp	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxLA.cpp	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2014-2015 Oracle Corporation
+ * Copyright (C) 2014-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxLA.h
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxLA.h	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxLA.h	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2012-2015 Oracle Corporation
+ * Copyright (C) 2012-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxSeamless.cpp
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxSeamless.cpp	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxSeamless.cpp	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxSeamless.h
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxSeamless.h	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxSeamless.h	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxSharedFolders.cpp
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxSharedFolders.cpp	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxSharedFolders.cpp	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2014 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxSharedFolders.h
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxSharedFolders.h	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxSharedFolders.h	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2010 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxTray.cpp
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxTray.cpp	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxTray.cpp	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxTray.h
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxTray.h	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxTray.h	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxTray.rc
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxTray.rc	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxTray.rc	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2010 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxTrayMsg.h
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxTrayMsg.h	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxTrayMsg.h	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2013 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxVRDP.cpp
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxVRDP.cpp	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxVRDP.cpp	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxVRDP.h
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxVRDP.h	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxVRDP.h	(revision 62522)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2010 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/resource.h
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/resource.h	(revision 62470)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/resource.h	(revision 62522)
@@ -4,5 +4,5 @@
  * VBoxService - Guest Additions Service
  *
- * Copyright (C) 2006-2010 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as