Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_de.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_de.ts	(revision 62524)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_de.ts	(revision 62525)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="utf-8"?>
 <!DOCTYPE TS>
-<TS version="2.0" language="de_DE">
+<TS version="2.1" language="de_DE">
 <context>
     <name>@@@</name>
@@ -2747,5 +2747,5 @@
     <message>
         <source>Audio</source>
-        <translation>Audio</translation>
+        <translation type="vanished">Audio</translation>
     </message>
     <message>
@@ -2765,5 +2765,5 @@
         <source>Display</source>
         <comment>details report</comment>
-        <translation>Anzeige</translation>
+        <translation type="vanished">Anzeige</translation>
     </message>
     <message>
@@ -2828,5 +2828,5 @@
         <source>General</source>
         <comment>details report</comment>
-        <translation>Allgemein</translation>
+        <translation type="vanished">Allgemein</translation>
     </message>
     <message>
@@ -2845,5 +2845,5 @@
     <message>
         <source>Network</source>
-        <translation>Netzwerk</translation>
+        <translation type="vanished">Netzwerk</translation>
     </message>
     <message>
@@ -2891,5 +2891,5 @@
         <source>Network Statistics</source>
         <comment>details report</comment>
-        <translation>Netzwerkadapter</translation>
+        <translation type="vanished">Netzwerkadapter</translation>
     </message>
 </context>
@@ -2899,5 +2899,5 @@
         <source>Parallel Ports</source>
         <comment>details report</comment>
-        <translation>Parallel-Ports</translation>
+        <translation type="vanished">Parallel-Ports</translation>
     </message>
     <message>
@@ -2917,5 +2917,5 @@
         <source>Runtime Attributes</source>
         <comment>details report</comment>
-        <translation>Laufzeit-Attribute</translation>
+        <translation type="vanished">Laufzeit-Attribute</translation>
     </message>
     <message>
@@ -2989,5 +2989,5 @@
     <message>
         <source>Serial Ports</source>
-        <translation>Serielle Schnittstellen</translation>
+        <translation type="vanished">Serielle Schnittstellen</translation>
     </message>
     <message>
@@ -3002,5 +3002,5 @@
         <source>Shared Folders</source>
         <comment>details report</comment>
-        <translation>Gemeinsame Ordner</translation>
+        <translation type="vanished">Gemeinsame Ordner</translation>
     </message>
     <message>
@@ -3014,5 +3014,5 @@
     <message>
         <source>Storage</source>
-        <translation>Massenspeicher</translation>
+        <translation type="vanished">Massenspeicher</translation>
     </message>
     <message>
@@ -3042,5 +3042,5 @@
         <source>Storage Statistics</source>
         <comment>details report</comment>
-        <translation>Massenspeicher</translation>
+        <translation type="vanished">Massenspeicher</translation>
     </message>
 </context>
@@ -3050,5 +3050,5 @@
         <source>System</source>
         <comment>details report</comment>
-        <translation>System</translation>
+        <translation type="vanished">System</translation>
     </message>
     <message>
@@ -3158,5 +3158,5 @@
         <source>USB</source>
         <comment>details report</comment>
-        <translation>USB</translation>
+        <translation type="vanished">USB</translation>
     </message>
     <message>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_eu.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_eu.ts	(revision 62524)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_eu.ts	(revision 62525)
@@ -4143,5 +4143,5 @@
     <name>UIHostComboEditor</name>
     <message>
-        <location filename="../src/widgets/UIHostComboEditor.cpp" line="+204"/>
+        <location filename="../src/widgets/UIHostComboEditor.cpp" line="+209"/>
         <location line="+14"/>
         <source>&lt;key_%1&gt;</source>
@@ -4159,5 +4159,5 @@
     </message>
     <message>
-        <location line="+173"/>
+        <location line="+231"/>
         <source>Left Shift</source>
         <translation>Ezkerreko Aldatu</translation>
@@ -4225,5 +4225,5 @@
     <message>
         <location line="+15"/>
-        <location line="+627"/>
+        <location line="+638"/>
         <source>None</source>
         <translation>Ezer ez</translation>