Index: trunk/src/VBox/Additions/solaris/DRM/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/solaris/DRM/Makefile.kmk	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/DRM/Makefile.kmk	(revision 62529)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2009-2015 Oracle Corporation
+# Copyright (C) 2009-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/DRM/deps.asm
===================================================================
--- trunk/src/VBox/Additions/solaris/DRM/deps.asm	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/DRM/deps.asm	(revision 62529)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2012 Oracle Corporation
+; Copyright (C) 2012-2016 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/DRM/vboxvideo_drm.c
===================================================================
--- trunk/src/VBox/Additions/solaris/DRM/vboxvideo_drm.c	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/DRM/vboxvideo_drm.c	(revision 62529)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2011 Oracle Corporation
+ * Copyright (C) 2009-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/solaris/Makefile.kmk	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/Makefile.kmk	(revision 62529)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2008-2015 Oracle Corporation
+# Copyright (C) 2008-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/Mouse/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/solaris/Mouse/Makefile.kmk	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/Mouse/Makefile.kmk	(revision 62529)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2012-2015 Oracle Corporation
+# Copyright (C) 2012-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/Mouse/deps.asm
===================================================================
--- trunk/src/VBox/Additions/solaris/Mouse/deps.asm	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/Mouse/deps.asm	(revision 62529)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2012 Oracle Corporation
+; Copyright (C) 2012-2016 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/Mouse/testcase/solaris.h
===================================================================
--- trunk/src/VBox/Additions/solaris/Mouse/testcase/solaris.h	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/Mouse/testcase/solaris.h	(revision 62529)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2012 Oracle Corporation
+ * Copyright (C) 2012-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/Mouse/testcase/tstVBoxMouse-solaris.c
===================================================================
--- trunk/src/VBox/Additions/solaris/Mouse/testcase/tstVBoxMouse-solaris.c	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/Mouse/testcase/tstVBoxMouse-solaris.c	(revision 62529)
@@ -4,5 +4,5 @@
 
 /*
- * Copyright (C) 2012 Oracle Corporation
+ * Copyright (C) 2012-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/Mouse/vboxms.c
===================================================================
--- trunk/src/VBox/Additions/solaris/Mouse/vboxms.c	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/Mouse/vboxms.c	(revision 62529)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2012 Oracle Corporation
+ * Copyright (C) 2012-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/Mouse/vboxmslnk.c
===================================================================
--- trunk/src/VBox/Additions/solaris/Mouse/vboxmslnk.c	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/Mouse/vboxmslnk.c	(revision 62529)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2012 Oracle Corporation
+ * Copyright (C) 2012-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/SharedFolders/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/solaris/SharedFolders/Makefile.kmk	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/SharedFolders/Makefile.kmk	(revision 62529)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2008-2015 Oracle Corporation
+# Copyright (C) 2008-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/SharedFolders/deps.asm
===================================================================
--- trunk/src/VBox/Additions/solaris/SharedFolders/deps.asm	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/SharedFolders/deps.asm	(revision 62529)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2012 Oracle Corporation
+; Copyright (C) 2012-2016 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs.h
===================================================================
--- trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs.h	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs.h	(revision 62529)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2010 Oracle Corporation
+ * Copyright (C) 2009-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_mount.c
===================================================================
--- trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_mount.c	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_mount.c	(revision 62529)
@@ -7,5 +7,5 @@
 
 /*
- * Copyright (C) 2009-2011 Oracle Corporation
+ * Copyright (C) 2009-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_prov.c
===================================================================
--- trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_prov.c	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_prov.c	(revision 62529)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2008-2014 Oracle Corporation
+ * Copyright (C) 2008-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_prov.h
===================================================================
--- trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_prov.h	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_prov.h	(revision 62529)
@@ -6,5 +6,5 @@
 
 /*
- * Copyright (C) 2009-2011 Oracle Corporation
+ * Copyright (C) 2009-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_vfs.c
===================================================================
--- trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_vfs.c	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_vfs.c	(revision 62529)
@@ -4,5 +4,5 @@
 
 /*
- * Copyright (C) 2009-2014 Oracle Corporation
+ * Copyright (C) 2009-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_vfs.h
===================================================================
--- trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_vfs.h	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_vfs.h	(revision 62529)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2011 Oracle Corporation
+ * Copyright (C) 2009-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_vnode.c
===================================================================
--- trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_vnode.c	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_vnode.c	(revision 62529)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2014 Oracle Corporation
+ * Copyright (C) 2009-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_vnode.h
===================================================================
--- trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_vnode.h	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/SharedFolders/vboxfs_vnode.h	(revision 62529)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2013 Oracle Corporation
+ * Copyright (C) 2009-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/Virtio/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/solaris/Virtio/Makefile.kmk	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/Virtio/Makefile.kmk	(revision 62529)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2010-2015 Oracle Corporation
+# Copyright (C) 2010-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/Virtio/Virtio-solaris.c
===================================================================
--- trunk/src/VBox/Additions/solaris/Virtio/Virtio-solaris.c	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/Virtio/Virtio-solaris.c	(revision 62529)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2011 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/Virtio/Virtio-solaris.h
===================================================================
--- trunk/src/VBox/Additions/solaris/Virtio/Virtio-solaris.h	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/Virtio/Virtio-solaris.h	(revision 62529)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/Virtio/VirtioNet-solaris.c
===================================================================
--- trunk/src/VBox/Additions/solaris/Virtio/VirtioNet-solaris.c	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/Virtio/VirtioNet-solaris.c	(revision 62529)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2011 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/Virtio/VirtioPci-solaris.c
===================================================================
--- trunk/src/VBox/Additions/solaris/Virtio/VirtioPci-solaris.c	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/Virtio/VirtioPci-solaris.c	(revision 62529)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2011 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/Virtio/VirtioPci-solaris.h
===================================================================
--- trunk/src/VBox/Additions/solaris/Virtio/VirtioPci-solaris.h	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/Virtio/VirtioPci-solaris.h	(revision 62529)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Additions/solaris/Virtio/VirtioRing-solaris.c
===================================================================
--- trunk/src/VBox/Additions/solaris/Virtio/VirtioRing-solaris.c	(revision 62528)
+++ trunk/src/VBox/Additions/solaris/Virtio/VirtioRing-solaris.c	(revision 62529)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2011 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as