Index: trunk/src/VBox/Installer/win/Properties.wxi
===================================================================
--- trunk/src/VBox/Installer/win/Properties.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/Properties.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2014-2015 Oracle Corporation
+    Copyright (C) 2014-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/PublicProperties.wxi
===================================================================
--- trunk/src/VBox/Installer/win/PublicProperties.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/PublicProperties.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2015 Oracle Corporation
+    Copyright (C) 2015-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/UserInterface.wxi
===================================================================
--- trunk/src/VBox/Installer/win/UserInterface.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/UserInterface.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     User interface include for VirtualBox WiX script.
 
-    Copyright (C) 2006-2015 Oracle Corporation
+    Copyright (C) 2006-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergeAppCA.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergeAppCA.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergeAppCA.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2014-2015 Oracle Corporation
+    Copyright (C) 2014-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergeCOM32On64.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergeCOM32On64.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergeCOM32On64.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2006-2015 Oracle Corporation
+    Copyright (C) 2006-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergeCOM32On64CA.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergeCOM32On64CA.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergeCOM32On64CA.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2014-2015 Oracle Corporation
+    Copyright (C) 2014-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergeCOM32On64Seq.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergeCOM32On64Seq.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergeCOM32On64Seq.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2014-2015 Oracle Corporation
+    Copyright (C) 2014-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergeNetAdp.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergeNetAdp.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergeNetAdp.wxi	(revision 62539)
@@ -2,5 +2,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2006-2015 Oracle Corporation
+    Copyright (C) 2006-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergeNetAdp6.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergeNetAdp6.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergeNetAdp6.wxi	(revision 62539)
@@ -2,5 +2,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2006-2015 Oracle Corporation
+    Copyright (C) 2006-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergeNetAdp6CA.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergeNetAdp6CA.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergeNetAdp6CA.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2006-2015 Oracle Corporation
+    Copyright (C) 2006-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergeNetAdp6Seq.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergeNetAdp6Seq.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergeNetAdp6Seq.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2006-2015 Oracle Corporation
+    Copyright (C) 2006-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergeNetAdpCA.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergeNetAdpCA.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergeNetAdpCA.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2006-2015 Oracle Corporation
+    Copyright (C) 2006-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergeNetAdpSeq.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergeNetAdpSeq.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergeNetAdpSeq.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2006-2015 Oracle Corporation
+    Copyright (C) 2006-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergeNetFlt.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergeNetFlt.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergeNetFlt.wxi	(revision 62539)
@@ -2,5 +2,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2006-2015 Oracle Corporation
+    Copyright (C) 2006-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergeNetFltCA.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergeNetFltCA.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergeNetFltCA.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2006-2015 Oracle Corporation
+    Copyright (C) 2006-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergeNetFltSeq.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergeNetFltSeq.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergeNetFltSeq.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2006-2015 Oracle Corporation
+    Copyright (C) 2006-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergeNetLwf.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergeNetLwf.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergeNetLwf.wxi	(revision 62539)
@@ -2,5 +2,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2006-2015 Oracle Corporation
+    Copyright (C) 2006-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergeNetLwfCA.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergeNetLwfCA.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergeNetLwfCA.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2006-2015 Oracle Corporation
+    Copyright (C) 2006-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergeNetLwfSeq.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergeNetLwfSeq.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergeNetLwfSeq.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2006-2015 Oracle Corporation
+    Copyright (C) 2006-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergePython.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergePython.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergePython.wxi	(revision 62539)
@@ -2,5 +2,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2006-2015 Oracle Corporation
+    Copyright (C) 2006-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergePythonCA.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergePythonCA.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergePythonCA.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2006-2015 Oracle Corporation
+    Copyright (C) 2006-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergePythonSeq.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergePythonSeq.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergePythonSeq.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2006-2015 Oracle Corporation
+    Copyright (C) 2006-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergeUSB.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergeUSB.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergeUSB.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2006-2015 Oracle Corporation
+    Copyright (C) 2006-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergeUSBCA.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergeUSBCA.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergeUSBCA.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2014-2015 Oracle Corporation
+    Copyright (C) 2014-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VBoxMergeUSBSeq.wxi
===================================================================
--- trunk/src/VBox/Installer/win/VBoxMergeUSBSeq.wxi	(revision 62538)
+++ trunk/src/VBox/Installer/win/VBoxMergeUSBSeq.wxi	(revision 62539)
@@ -3,5 +3,5 @@
     VirtualBox Windows Installation Script (WiX)
 
-    Copyright (C) 2014-2015 Oracle Corporation
+    Copyright (C) 2014-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/VirtualBox_TypeLib.xsl
===================================================================
--- trunk/src/VBox/Installer/win/VirtualBox_TypeLib.xsl	(revision 62538)
+++ trunk/src/VBox/Installer/win/VirtualBox_TypeLib.xsl	(revision 62539)
@@ -6,5 +6,5 @@
  *  from the generic interface definition expressed in XML.
 
-    Copyright (C) 2007-2015 Oracle Corporation
+    Copyright (C) 2007-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/dep.xsl
===================================================================
--- trunk/src/VBox/Installer/win/dep.xsl	(revision 62538)
+++ trunk/src/VBox/Installer/win/dep.xsl	(revision 62539)
@@ -4,5 +4,5 @@
     Generate a list of dependencies from a wixobj file.
 
-    Copyright (C) 2015 Oracle Corporation
+    Copyright (C) 2015-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/dep2.xsl
===================================================================
--- trunk/src/VBox/Installer/win/dep2.xsl	(revision 62538)
+++ trunk/src/VBox/Installer/win/dep2.xsl	(revision 62539)
@@ -4,5 +4,5 @@
     Generate a list of dependencies from a wixobj file.
 
-    Copyright (C) 2015 Oracle Corporation
+    Copyright (C) 2015-2016 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as