Index: trunk/src/VBox/Runtime/common/asn1/asn1-basics.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/asn1/asn1-basics.cpp	(revision 62477)
+++ trunk/src/VBox/Runtime/common/asn1/asn1-basics.cpp	(revision 62564)
@@ -588,5 +588,5 @@
 RTDECL(int) RTAsn1ContextTagN_Clone(PRTASN1CONTEXTTAG pThis, PCRTASN1CONTEXTTAG pSrc, uint32_t uTag)
 {
-    Assert(pSrc->Asn1Core.uTag == uTag || !RTASN1CORE_IS_PRESENT(&pSrc->Asn1Core));
+    Assert(pSrc->Asn1Core.uTag == uTag || !RTASN1CORE_IS_PRESENT(&pSrc->Asn1Core)); RT_NOREF_PV(uTag);
     return RTAsn1Core_CloneNoContent(&pThis->Asn1Core, &pSrc->Asn1Core);
 }
Index: trunk/src/VBox/Runtime/common/asn1/asn1-default-allocator.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/asn1/asn1-default-allocator.cpp	(revision 62477)
+++ trunk/src/VBox/Runtime/common/asn1/asn1-default-allocator.cpp	(revision 62564)
@@ -58,4 +58,5 @@
 static DECLCALLBACK(void) rtAsn1DefaultAllocator_Free(PCRTASN1ALLOCATORVTABLE pThis, PRTASN1ALLOCATION pAllocation, void *pv)
 {
+    RT_NOREF_PV(pThis);
     RTMemFree(pv);
     pAllocation->cbAllocated = 0;
@@ -75,4 +76,5 @@
         return VINF_SUCCESS;
     }
+    RT_NOREF_PV(pThis);
     return VERR_NO_MEMORY;
 }
@@ -93,4 +95,5 @@
         return VINF_SUCCESS;
     }
+    RT_NOREF_PV(pThis);
     return VERR_NO_MEMORY;
 }
Index: trunk/src/VBox/Runtime/common/asn1/asn1-efence-allocator.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/asn1/asn1-efence-allocator.cpp	(revision 62477)
+++ trunk/src/VBox/Runtime/common/asn1/asn1-efence-allocator.cpp	(revision 62564)
@@ -40,4 +40,5 @@
 static DECLCALLBACK(void) rtAsn1EFenceAllocator_Free(PCRTASN1ALLOCATORVTABLE pThis, PRTASN1ALLOCATION pAllocation, void *pv)
 {
+    RT_NOREF_PV(pThis);
     RTMemEfFreeNP(pv);
     pAllocation->cbAllocated = 0;
@@ -56,4 +57,5 @@
         return VINF_SUCCESS;
     }
+    RT_NOREF_PV(pThis);
     return VERR_NO_MEMORY;
 }
@@ -73,4 +75,5 @@
         return VINF_SUCCESS;
     }
+    RT_NOREF_PV(pThis);
     return VERR_NO_MEMORY;
 }
Index: trunk/src/VBox/Runtime/common/asn1/asn1-encode.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/asn1/asn1-encode.cpp	(revision 62477)
+++ trunk/src/VBox/Runtime/common/asn1/asn1-encode.cpp	(revision 62564)
@@ -167,4 +167,5 @@
 {
     RTASN1ENCODEPREPARGS *pArgs = (RTASN1ENCODEPREPARGS *)pvUser;
+    RT_NOREF_PV(pszName);
     if (RTASN1CORE_IS_PRESENT(pAsn1Core))
     {
@@ -376,4 +377,5 @@
 {
     RTASN1ENCODEWRITEARGS *pArgs = (RTASN1ENCODEWRITEARGS *)pvUser;
+    RT_NOREF_PV(pszName);
     int rc;
     if (RTASN1CORE_IS_PRESENT(pAsn1Core))
@@ -460,4 +462,5 @@
         pArgs->cbDst  = 0;
     }
+    RT_NOREF_PV(pErrInfo);
     return VERR_BUFFER_OVERFLOW;
 }
Index: trunk/src/VBox/Runtime/common/asn1/asn1-ut-bitstring.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/asn1/asn1-ut-bitstring.cpp	(revision 62477)
+++ trunk/src/VBox/Runtime/common/asn1/asn1-ut-bitstring.cpp	(revision 62564)
@@ -82,4 +82,5 @@
         return VERR_NOT_EQUAL;
     pCtx->offBuf += (uint32_t)cbToWrite;
+    RT_NOREF_PV(pErrInfo);
     return VINF_SUCCESS;
 }
Index: trunk/src/VBox/Runtime/common/asn1/asn1-ut-boolean.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/asn1/asn1-ut-boolean.cpp	(revision 62477)
+++ trunk/src/VBox/Runtime/common/asn1/asn1-ut-boolean.cpp	(revision 62564)
@@ -54,4 +54,5 @@
 RTDECL(int) RTAsn1Boolean_InitDefault(PRTASN1BOOLEAN pThis, bool fValue, PCRTASN1ALLOCATORVTABLE pAllocator)
 {
+    RT_NOREF_PV(pAllocator);
     RTAsn1Core_InitEx(&pThis->Asn1Core, ASN1_TAG_BOOLEAN, ASN1_TAGCLASS_UNIVERSAL | ASN1_TAGFLAG_PRIMITIVE,
                       &g_RTAsn1Boolean_Vtable, RTASN1CORE_F_DEFAULT | RTASN1CORE_F_PRIMITE_TAG_STRUCT);
@@ -102,4 +103,5 @@
 RTDECL(int) RTAsn1Boolean_Init(PRTASN1BOOLEAN pThis, PCRTASN1ALLOCATORVTABLE pAllocator)
 {
+    RT_NOREF_PV(pAllocator);
     RTAsn1Core_InitEx(&pThis->Asn1Core, ASN1_TAG_BOOLEAN, ASN1_TAGCLASS_UNIVERSAL | ASN1_TAGFLAG_PRIMITIVE,
                       &g_RTAsn1Boolean_Vtable, RTASN1CORE_F_PRESENT | RTASN1CORE_F_PRIMITE_TAG_STRUCT);
@@ -161,4 +163,5 @@
 {
     Assert(pThis && (!RTAsn1Boolean_IsPresent(pThis) || pThis->Asn1Core.pOps == &g_RTAsn1Boolean_Vtable));
+    RT_NOREF_PV(pThis); RT_NOREF_PV(pfnCallback); RT_NOREF_PV(uDepth); RT_NOREF_PV(pvUser);
 
     /* No children to enumerate. */
@@ -190,4 +193,5 @@
     if (RT_UNLIKELY(!RTAsn1Boolean_IsPresent(pThis)))
         return RTErrInfoSetF(pErrInfo, VERR_ASN1_NOT_PRESENT, "%s: Missing (BOOLEAN).", pszErrorTag);
+    RT_NOREF_PV(fFlags);
     return VINF_SUCCESS;
 }
Index: trunk/src/VBox/Runtime/common/asn1/asn1-ut-core-decode.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/asn1/asn1-ut-core-decode.cpp	(revision 62477)
+++ trunk/src/VBox/Runtime/common/asn1/asn1-ut-core-decode.cpp	(revision 62564)
@@ -45,4 +45,5 @@
         return VINF_SUCCESS;
     }
+    RT_NOREF_PV(fFlags);
     RT_ZERO(*pThis);
     return rc;
Index: trunk/src/VBox/Runtime/common/asn1/asn1-ut-core.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/asn1/asn1-ut-core.cpp	(revision 62477)
+++ trunk/src/VBox/Runtime/common/asn1/asn1-ut-core.cpp	(revision 62564)
@@ -206,4 +206,5 @@
 RTDECL(int) RTAsn1Core_Init(PRTASN1CORE pThis, PCRTASN1ALLOCATORVTABLE pAllocator)
 {
+    RT_NOREF_PV(pAllocator);
     return RTAsn1Core_InitEx(pThis, 0, ASN1_TAGCLASS_CONTEXT | ASN1_TAGFLAG_PRIMITIVE,
                              &g_RTAsn1Core_Vtable, RTASN1CORE_F_PRESENT);
@@ -262,4 +263,6 @@
 RTDECL(int) RTAsn1Core_CheckSanity(PCRTASN1CORE pThis, uint32_t fFlags, PRTERRINFO pErrInfo, const char *pszErrorTag)
 {
+    RT_NOREF_PV(fFlags);
+
     /* We can only check that it's present. */
     if (!RTAsn1Core_IsPresent(pThis))
Index: trunk/src/VBox/Runtime/common/asn1/asn1-ut-dyntype-decode.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/asn1/asn1-ut-dyntype-decode.cpp	(revision 62477)
+++ trunk/src/VBox/Runtime/common/asn1/asn1-ut-dyntype-decode.cpp	(revision 62564)
@@ -43,5 +43,5 @@
     RT_ZERO(*pDynType);
 
-    Assert(!(fFlags & RTASN1CURSOR_GET_F_IMPLICIT));
+    Assert(!(fFlags & RTASN1CURSOR_GET_F_IMPLICIT)); RT_NOREF_PV(fFlags);
     uint32_t        cbSavedLeft = pCursor->cbLeft;
     uint8_t const  *pbSavedCur  = pCursor->pbCur;
Index: trunk/src/VBox/Runtime/common/asn1/asn1-ut-dyntype.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/asn1/asn1-ut-dyntype.cpp	(revision 62477)
+++ trunk/src/VBox/Runtime/common/asn1/asn1-ut-dyntype.cpp	(revision 62564)
@@ -45,4 +45,5 @@
 RTDECL(int) RTAsn1DynType_Init(PRTASN1DYNTYPE pThis, PCRTASN1ALLOCATORVTABLE pAllocator)
 {
+    RT_NOREF_PV(pAllocator);
     RT_ZERO(*pThis);
     pThis->enmType = RTASN1TYPE_NOT_PRESENT;
Index: trunk/src/VBox/Runtime/common/asn1/asn1-ut-integer.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/asn1/asn1-ut-integer.cpp	(revision 62477)
+++ trunk/src/VBox/Runtime/common/asn1/asn1-ut-integer.cpp	(revision 62564)
@@ -403,4 +403,5 @@
 RTDECL(int) RTAsn1Integer_Init(PRTASN1INTEGER pThis, PCRTASN1ALLOCATORVTABLE pAllocator)
 {
+    RT_NOREF_PV(pAllocator);
     RTAsn1Core_InitEx(&pThis->Asn1Core,
                       ASN1_TAG_INTEGER,
@@ -462,4 +463,5 @@
 RTDECL(int) RTAsn1Integer_Enum(PRTASN1INTEGER pThis, PFNRTASN1ENUMCALLBACK pfnCallback, uint32_t uDepth, void *pvUser)
 {
+    RT_NOREF_PV(pThis); RT_NOREF_PV(pfnCallback); RT_NOREF_PV(uDepth); RT_NOREF_PV(pvUser);
     Assert(pThis && (!RTAsn1Integer_IsPresent(pThis) || pThis->Asn1Core.pOps == &g_RTAsn1Integer_Vtable));
 
@@ -477,4 +479,5 @@
 RTDECL(int) RTAsn1Integer_CheckSanity(PCRTASN1INTEGER pThis, uint32_t fFlags, PRTERRINFO pErrInfo, const char *pszErrorTag)
 {
+    RT_NOREF_PV(fFlags);
     if (RT_UNLIKELY(!RTAsn1Integer_IsPresent(pThis)))
         return RTErrInfoSetF(pErrInfo, VERR_ASN1_NOT_PRESENT, "%s: Missing (INTEGER).", pszErrorTag);
Index: trunk/src/VBox/Runtime/common/asn1/asn1-ut-null.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/asn1/asn1-ut-null.cpp	(revision 62477)
+++ trunk/src/VBox/Runtime/common/asn1/asn1-ut-null.cpp	(revision 62564)
@@ -67,4 +67,5 @@
 RTDECL(int) RTAsn1Null_Init(PRTASN1NULL pThis, PCRTASN1ALLOCATORVTABLE pAllocator)
 {
+    RT_NOREF_PV(pAllocator);
     return RTAsn1Core_InitEx(&pThis->Asn1Core, ASN1_TAG_NULL, ASN1_TAGCLASS_UNIVERSAL | ASN1_TAGFLAG_PRIMITIVE,
                              &g_RTAsn1Null_Vtable, RTASN1CORE_F_PRESENT | RTASN1CORE_F_PRIMITE_TAG_STRUCT);
@@ -74,5 +75,5 @@
 RTDECL(int) RTAsn1Null_Clone(PRTASN1NULL pThis, PCRTASN1NULL pSrc, PCRTASN1ALLOCATORVTABLE pAllocator)
 {
-    AssertPtr(pSrc); AssertPtr(pThis); AssertPtr(pAllocator);
+    AssertPtr(pSrc); AssertPtr(pThis); AssertPtr(pAllocator); RT_NOREF_PV(pAllocator);
     RT_ZERO(*pThis);
     if (RTAsn1Null_IsPresent(pSrc))
@@ -102,4 +103,5 @@
 RTDECL(int) RTAsn1Null_Enum(PRTASN1NULL pThis, PFNRTASN1ENUMCALLBACK pfnCallback, uint32_t uDepth, void *pvUser)
 {
+    RT_NOREF_PV(pThis); RT_NOREF_PV(pfnCallback); RT_NOREF_PV(uDepth); RT_NOREF_PV(pvUser);
     Assert(pThis && (!RTAsn1Null_IsPresent(pThis) || pThis->Asn1Core.pOps == &g_RTAsn1Null_Vtable));
 
@@ -120,4 +122,5 @@
 RTDECL(int) RTAsn1Null_CheckSanity(PCRTASN1NULL pThis, uint32_t fFlags, PRTERRINFO pErrInfo, const char *pszErrorTag)
 {
+    RT_NOREF_PV(fFlags);
     if (RT_UNLIKELY(!RTAsn1Null_IsPresent(pThis)))
         return RTErrInfoSetF(pErrInfo, VERR_ASN1_NOT_PRESENT, "%s: Missing (NULL).", pszErrorTag);
Index: trunk/src/VBox/Runtime/common/asn1/asn1-ut-objid-decode.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/asn1/asn1-ut-objid-decode.cpp	(revision 62477)
+++ trunk/src/VBox/Runtime/common/asn1/asn1-ut-objid-decode.cpp	(revision 62564)
@@ -233,9 +233,9 @@
                         }
                         return RTAsn1CursorSetInfo(pCursor, VERR_ASN1_OBJID_TOO_LONG_STRING_FORM,
-                                                   "Object ID has a too long string form: %#x (max %#x)",
-                                                   cchObjId, RT_SIZEOFMEMB(RTASN1OBJID, szObjId));
+                                                   "%s: Object ID has a too long string form: %#x (max %#x)",
+                                                   pszErrorTag, cchObjId, RT_SIZEOFMEMB(RTASN1OBJID, szObjId));
                     }
                     return RTAsn1CursorSetInfo(pCursor, VERR_ASN1_OBJID_TOO_MANY_COMPONENTS,
-                                               "Object ID has too many components: %#x (max 127)", cComponents);
+                                               "%s: Object ID has too many components: %#x (max 127)", pszErrorTag, cComponents);
                 }
 
@@ -244,11 +244,12 @@
             } while (rc > 0);
         }
-        rc = RTAsn1CursorSetInfo(pCursor, rc, "Bad object ID component #%u encoding: %.*Rhxs",
-                                 cComponents, cbContent, pbContent);
+        rc = RTAsn1CursorSetInfo(pCursor, rc, "%s: Bad object ID component #%u encoding: %.*Rhxs",
+                                 pszErrorTag, cComponents, cbContent, pbContent);
     }
     else if (cbContent)
-        rc = RTAsn1CursorSetInfo(pCursor, VERR_ASN1_INVALID_OBJID_ENCODING, "Object ID content is loo long: %#x", cbContent);
+        rc = RTAsn1CursorSetInfo(pCursor, VERR_ASN1_INVALID_OBJID_ENCODING, "%s: Object ID content is loo long: %#x",
+                                 pszErrorTag, cbContent);
     else
-        rc = RTAsn1CursorSetInfo(pCursor, VERR_ASN1_INVALID_OBJID_ENCODING, "Zero length object ID content");
+        rc = RTAsn1CursorSetInfo(pCursor, VERR_ASN1_INVALID_OBJID_ENCODING, "%s: Zero length object ID content", pszErrorTag);
     return rc;
 }
Index: trunk/src/VBox/Runtime/common/asn1/asn1-ut-objid.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/asn1/asn1-ut-objid.cpp	(revision 62477)
+++ trunk/src/VBox/Runtime/common/asn1/asn1-ut-objid.cpp	(revision 62564)
@@ -395,4 +395,5 @@
 RTDECL(int) RTAsn1ObjId_Init(PRTASN1OBJID pThis, PCRTASN1ALLOCATORVTABLE pAllocator)
 {
+    RT_NOREF_PV(pAllocator);
     RTAsn1Core_InitEx(&pThis->Asn1Core,
                       ASN1_TAG_OID,
@@ -497,4 +498,5 @@
 RTDECL(int) RTAsn1ObjId_Enum(PRTASN1OBJID pThis, PFNRTASN1ENUMCALLBACK pfnCallback, uint32_t uDepth, void *pvUser)
 {
+    RT_NOREF_PV(pThis); RT_NOREF_PV(pfnCallback); RT_NOREF_PV(uDepth); RT_NOREF_PV(pvUser);
     Assert(pThis && (!RTAsn1ObjId_IsPresent(pThis) || pThis->Asn1Core.pOps == &g_RTAsn1ObjId_Vtable));
 
@@ -527,4 +529,5 @@
 RTDECL(int) RTAsn1ObjId_CheckSanity(PCRTASN1OBJID pThis, uint32_t fFlags, PRTERRINFO pErrInfo, const char *pszErrorTag)
 {
+    RT_NOREF_PV(fFlags);
     if (RT_UNLIKELY(!RTAsn1ObjId_IsPresent(pThis)))
         return RTErrInfoSetF(pErrInfo, VERR_ASN1_NOT_PRESENT, "%s: Missing (OBJID).", pszErrorTag);
Index: trunk/src/VBox/Runtime/common/asn1/asn1-ut-octetstring.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/asn1/asn1-ut-octetstring.cpp	(revision 62477)
+++ trunk/src/VBox/Runtime/common/asn1/asn1-ut-octetstring.cpp	(revision 62564)
@@ -78,4 +78,5 @@
 {
     RTASN1OCTETSTRINGWRITERCTX *pCtx = (RTASN1OCTETSTRINGWRITERCTX *)pvUser;
+    RT_NOREF_PV(pErrInfo);
     AssertReturn(cbToWrite <= pCtx->cbBuf - pCtx->offBuf, VERR_BUFFER_OVERFLOW);
     if (memcmp(&pCtx->pbBuf[pCtx->offBuf], pvBuf, cbToWrite) != 0)
Index: trunk/src/VBox/Runtime/common/asn1/asn1-ut-string.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/asn1/asn1-ut-string.cpp	(revision 62477)
+++ trunk/src/VBox/Runtime/common/asn1/asn1-ut-string.cpp	(revision 62564)
@@ -1736,4 +1736,5 @@
 RTDECL(int) RTAsn1String_Enum(PRTASN1STRING pThis, PFNRTASN1ENUMCALLBACK pfnCallback, uint32_t uDepth, void *pvUser)
 {
+    RT_NOREF_PV(pThis); RT_NOREF_PV(pfnCallback); RT_NOREF_PV(uDepth); RT_NOREF_PV(pvUser);
     Assert(pThis && (!RTAsn1String_IsPresent(pThis) || pThis->Asn1Core.pOps == &g_RTAsn1String_Vtable));
 
@@ -1752,4 +1753,5 @@
 RTDECL(int) RTAsn1String_CheckSanity(PCRTASN1STRING pThis, uint32_t fFlags, PRTERRINFO pErrInfo, const char *pszErrorTag)
 {
+    RT_NOREF_PV(fFlags);
     if (RT_UNLIKELY(!RTAsn1String_IsPresent(pThis)))
         return RTErrInfoSetF(pErrInfo, VERR_ASN1_NOT_PRESENT, "%s: Missing (STRING).", pszErrorTag);
@@ -1787,4 +1789,5 @@
     RTDECL(int) RT_CONCAT(a_Api,_Enum)(PRTASN1STRING pThis, PFNRTASN1ENUMCALLBACK pfnCallback, uint32_t uDepth, void *pvUser) \
     { \
+        RT_NOREF_PV(pThis); RT_NOREF_PV(pfnCallback); RT_NOREF_PV(uDepth); RT_NOREF_PV(pvUser); \
         Assert(   pThis \
                && (   !RTAsn1String_IsPresent(pThis) \
Index: trunk/src/VBox/Runtime/common/asn1/asn1-ut-time-decode.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/asn1/asn1-ut-time-decode.cpp	(revision 62477)
+++ trunk/src/VBox/Runtime/common/asn1/asn1-ut-time-decode.cpp	(revision 62564)
@@ -305,5 +305,5 @@
 RTDECL(int) RTAsn1Time_DecodeAsn1(PRTASN1CURSOR pCursor, uint32_t fFlags, PRTASN1TIME pThis, const char *pszErrorTag)
 {
-    Assert(!(fFlags & RTASN1CURSOR_GET_F_IMPLICIT));
+    Assert(!(fFlags & RTASN1CURSOR_GET_F_IMPLICIT)); RT_NOREF_PV(fFlags);
     int rc = RTAsn1CursorReadHdr(pCursor, &pThis->Asn1Core, pszErrorTag);
     if (RT_SUCCESS(rc))
Index: trunk/src/VBox/Runtime/common/asn1/asn1-ut-time.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/asn1/asn1-ut-time.cpp	(revision 62477)
+++ trunk/src/VBox/Runtime/common/asn1/asn1-ut-time.cpp	(revision 62564)
@@ -55,4 +55,5 @@
 RTDECL(int) RTAsn1Time_InitEx(PRTASN1TIME pThis, uint32_t uTag, PCRTASN1ALLOCATORVTABLE pAllocator)
 {
+    RT_NOREF_PV(pAllocator);
     AssertReturn(uTag == ASN1_TAG_UTC_TIME || uTag == ASN1_TAG_GENERALIZED_TIME, VERR_INVALID_PARAMETER);
     RTAsn1Core_InitEx(&pThis->Asn1Core,
@@ -154,4 +155,5 @@
 RTDECL(int) RTAsn1Time_Enum(PRTASN1TIME pThis, PFNRTASN1ENUMCALLBACK pfnCallback, uint32_t uDepth, void *pvUser)
 {
+    RT_NOREF_PV(pThis); RT_NOREF_PV(pfnCallback); RT_NOREF_PV(uDepth); RT_NOREF_PV(pvUser);
     Assert(pThis && (!RTAsn1Time_IsPresent(pThis) || pThis->Asn1Core.pOps == &g_RTAsn1Time_Vtable));
 
@@ -190,4 +192,5 @@
 RTDECL(int) RTAsn1Time_CheckSanity(PCRTASN1TIME pThis, uint32_t fFlags, PRTERRINFO pErrInfo, const char *pszErrorTag)
 {
+    RT_NOREF_PV(fFlags);
     if (RT_UNLIKELY(!RTAsn1Time_IsPresent(pThis)))
         return RTErrInfoSetF(pErrInfo, VERR_ASN1_NOT_PRESENT, "%s: Missing (TIME).", pszErrorTag);
@@ -225,4 +228,5 @@
     RTDECL(int) RT_CONCAT(a_Api,_Enum)(PRTASN1TIME pThis, PFNRTASN1ENUMCALLBACK pfnCallback, uint32_t uDepth, void *pvUser) \
     { \
+        RT_NOREF_PV(pThis); RT_NOREF_PV(pfnCallback); RT_NOREF_PV(uDepth); RT_NOREF_PV(pvUser); \
         Assert(   pThis \
                && (   !RTAsn1Time_IsPresent(pThis) \