Index: trunk/src/VBox/Devices/Network/DevPCNet.cpp
===================================================================
--- trunk/src/VBox/Devices/Network/DevPCNet.cpp	(revision 62587)
+++ trunk/src/VBox/Devices/Network/DevPCNet.cpp	(revision 62610)
@@ -1031,4 +1031,5 @@
          padr[0],padr[1],padr[2],padr[3],padr[4],padr[5], result));
 #endif
+    RT_NOREF_PV(size);
     return result;
 }
@@ -1042,4 +1043,5 @@
     Log(("#%d padr_bcast result=%d\n", PCNET_INST_NR, result));
 #endif
+    RT_NOREF_PV(size);
    return result;
 }
@@ -1068,4 +1070,5 @@
 #endif
     }
+    RT_NOREF_PV(size);
     return 0;
 }
@@ -2620,5 +2623,6 @@
 static int pcnetXmitPending(PPCNETSTATE pThis, bool fOnWorkerThread)
 {
-    int rc = VINF_SUCCESS;
+    RT_NOREF_PV(fOnWorkerThread);
+    int rc;
 
     /*
@@ -3302,5 +3306,5 @@
     STAM_PROFILE_ADV_START(&pThis->StatAPROMRead, a);
     Assert(PDMCritSectIsOwner(&pThis->CritSect));
-
+    RT_NOREF_PV(pvUser);
 
     /* FreeBSD is accessing in dwords. */
@@ -3335,4 +3339,5 @@
     int         rc    = VINF_SUCCESS;
     Assert(PDMCritSectIsOwner(&pThis->CritSect));
+    RT_NOREF_PV(pvUser);
 
     if (cb == 1)
@@ -3569,4 +3574,5 @@
     STAM_PROFILE_ADV_START(&pThis->CTX_SUFF_Z(StatIORead), a);
     Assert(PDMCritSectIsOwner(&pThis->CritSect));
+    RT_NOREF_PV(pvUser);
 
     switch (cb)
@@ -3596,4 +3602,5 @@
     STAM_PROFILE_ADV_START(&pThis->CTX_SUFF_Z(StatIOWrite), a);
     Assert(PDMCritSectIsOwner(&pThis->CritSect));
+    RT_NOREF_PV(pvUser);
 
     switch (cb)
@@ -3717,4 +3724,5 @@
     int         rc    = VINF_SUCCESS;
     Assert(PDMCritSectIsOwner(&pThis->CritSect));
+    RT_NOREF_PV(pDevIns);
 
     /*
@@ -3753,4 +3761,5 @@
     int         rc    = VINF_SUCCESS;
     Assert(PDMCritSectIsOwner(&pThis->CritSect));
+    RT_NOREF_PV(pDevIns);
 
     /*
Index: trunk/src/VBox/Devices/Network/DrvDedicatedNic.cpp
===================================================================
--- trunk/src/VBox/Devices/Network/DrvDedicatedNic.cpp	(revision 62587)
+++ trunk/src/VBox/Devices/Network/DrvDedicatedNic.cpp	(revision 62610)
@@ -140,4 +140,5 @@
 PDMBOTHCBDECL(int) drvR0DedicatedNicReqHandler(PPDMDRVINS pDrvIns, uint32_t uOperation, uint64_t u64Arg)
 {
+    RT_NOREF_PV(pDrvIns); RT_NOREF_PV(u64Arg);
     switch ((DRVDEDICATEDNICR0OP)uOperation)
     {
@@ -205,4 +206,5 @@
 #ifdef IN_RING0
     /** @todo Ask the driver for a buffer, atomically if we're called on EMT.  */
+    RT_NOREF_PV(cbMin); RT_NOREF_PV(pGso); RT_NOREF_PV(ppSgBuf);
     return VERR_TRY_AGAIN;
 
@@ -294,5 +296,5 @@
      * Tell the driver to send the packet.
      */
-    NOREF(pThis);
+    RT_NOREF_PV(pThis); RT_NOREF_PV(pSgBuf); RT_NOREF_PV(fOnWorkerThread);
     return VERR_INTERNAL_ERROR_4;
 
@@ -328,5 +330,5 @@
     PDRVDEDICATEDNIC pThis = RT_FROM_MEMBER(pInterface, DRVDEDICATEDNIC, CTX_SUFF(INetworkUp));
     /** @todo enable/disable promiscuous mode (should be easy) */
-    NOREF(pThis);
+    NOREF(pThis); RT_NOREF_PV(fPromiscuous);
 }
 
@@ -464,5 +466,4 @@
 {
     PDRVDEDICATEDNIC pThis = PDMINS_2_DATA(pDrvIns, PDRVDEDICATEDNIC);
-    bool f;
     PDMDRV_CHECK_VERSIONS_RETURN(pDrvIns);
 
Index: trunk/src/VBox/Devices/Network/DrvIntNet.cpp
===================================================================
--- trunk/src/VBox/Devices/Network/DrvIntNet.cpp	(revision 62587)
+++ trunk/src/VBox/Devices/Network/DrvIntNet.cpp	(revision 62610)
@@ -488,4 +488,5 @@
     PDRVINTNET  pThis = RT_FROM_MEMBER(pInterface, DRVINTNET, CTX_SUFF(INetworkUp));
     STAM_PROFILE_START(&pThis->StatTransmit, a);
+    RT_NOREF_PV(fOnWorkerThread);
 
     AssertPtr(pSgBuf);
@@ -776,9 +777,9 @@
                                 }
 #endif
-                                for (size_t iSeg = 0; iSeg < cSegs; iSeg++)
+                                for (uint32_t iSeg = 0; iSeg < cSegs; iSeg++)
                                 {
                                     uint32_t cbSegFrame;
-                                    void    *pvSegFrame = PDMNetGsoCarveSegmentQD(pGso, (uint8_t *)(pGso + 1), cbFrame, abHdrScratch,
-                                                                                  iSeg, cSegs, &cbSegFrame);
+                                    void    *pvSegFrame = PDMNetGsoCarveSegmentQD(pGso, (uint8_t *)(pGso + 1), cbFrame,
+                                                                                  abHdrScratch, iSeg, cSegs, &cbSegFrame);
                                     rc = drvR3IntNetRecvWaitForSpace(pThis);
                                     if (RT_FAILURE(rc))