Index: trunk/src/VBox/Devices/Graphics/DevVGA-SVGA.cpp
===================================================================
--- trunk/src/VBox/Devices/Graphics/DevVGA-SVGA.cpp	(revision 62617)
+++ trunk/src/VBox/Devices/Graphics/DevVGA-SVGA.cpp	(revision 62618)
@@ -1486,5 +1486,5 @@
 {
     PVGASTATE   pThis = PDMINS_2_DATA(pDevIns, PVGASTATE);
-    int rc = VINF_SUCCESS;
+    RT_NOREF_PV(pvUser);
 
     /* Ignore non-dword accesses. */
@@ -1515,5 +1515,6 @@
         break;
     }
-    return rc;
+
+    return VINF_SUCCESS;
 }
 
@@ -1532,5 +1533,5 @@
 {
     PVGASTATE   pThis = PDMINS_2_DATA(pDevIns, PVGASTATE);
-    int rc = VINF_SUCCESS;
+    RT_NOREF_PV(pvUser);
 
     /* Ignore non-dword accesses. */
@@ -1565,5 +1566,5 @@
         break;
     }
-    return rc;
+    return VINF_SUCCESS;
 }
 
Index: trunk/src/VBox/Devices/Network/DevE1000Phy.cpp
===================================================================
--- trunk/src/VBox/Devices/Network/DevE1000Phy.cpp	(revision 62617)
+++ trunk/src/VBox/Devices/Network/DevE1000Phy.cpp	(revision 62618)
@@ -174,4 +174,5 @@
 static void Phy::regWriteForbidden(PPHY pPhy, uint32_t index, uint16_t u16Value)
 {
+    RT_NOREF_PV(pPhy); RT_NOREF_PV(index); RT_NOREF_PV(u16Value);
     PhyLog(("PHY#%d At %02d write attempted to read-only '%s'\n",
             pPhy->iInstance, s_regMap[index].u32Address, s_regMap[index].pszName));
@@ -189,4 +190,5 @@
 static uint16_t Phy::regReadUnimplemented(PPHY pPhy, uint32_t index)
 {
+    RT_NOREF_PV(pPhy); RT_NOREF_PV(index);
     PhyLog(("PHY#%d At %02d read attempted from unimplemented '%s'\n",
             pPhy->iInstance, s_regMap[index].u32Address, s_regMap[index].pszName));
@@ -204,4 +206,5 @@
 static void Phy::regWriteUnimplemented(PPHY pPhy, uint32_t index, uint16_t u16Value)
 {
+    RT_NOREF_PV(pPhy); RT_NOREF_PV(index); RT_NOREF_PV(u16Value);
     PhyLog(("PHY#%d At %02d write attempted to unimplemented '%s'\n",
             pPhy->iInstance, s_regMap[index].u32Address, s_regMap[index].pszName));
@@ -441,4 +444,6 @@
 static uint16_t Phy::regReadPSTATUS(PPHY pPhy, uint32_t index)
 {
+    RT_NOREF_PV(pPhy); RT_NOREF_PV(index);
+
     /* Read latched value */
     uint16_t u16 = REG(PSTATUS);
@@ -459,4 +464,6 @@
 static uint16_t Phy::regReadGSTATUS(PPHY pPhy, uint32_t index)
 {
+    RT_NOREF_PV(pPhy); RT_NOREF_PV(index);
+
     /*
      * - Link partner is capable of 1000BASE-T half duplex
Index: trunk/src/VBox/Devices/Network/DevVirtioNet.cpp
===================================================================
--- trunk/src/VBox/Devices/Network/DevVirtioNet.cpp	(revision 62617)
+++ trunk/src/VBox/Devices/Network/DevVirtioNet.cpp	(revision 62618)
@@ -292,4 +292,6 @@
 DECLINLINE(int) vnetCsRxEnter(PVNETSTATE pThis, int rcBusy)
 {
+    RT_NOREF_PV(pThis);
+    RT_NOREF_PV(rcBusy);
     // STAM_PROFILE_START(&pThis->CTXSUFF(StatCsRx), a);
     // int rc = PDMCritSectEnter(&pThis->csRx, rcBusy);
@@ -301,4 +303,5 @@
 DECLINLINE(void) vnetCsRxLeave(PVNETSTATE pThis)
 {
+    RT_NOREF_PV(pThis);
     // PDMCritSectLeave(&pThis->csRx);
 }
@@ -367,4 +370,6 @@
 static DECLCALLBACK(uint32_t) vnetIoCb_GetHostFeatures(void *pvState)
 {
+    RT_NOREF_PV(pvState);
+
     /* We support:
      * - Host-provided MAC address
@@ -398,4 +403,5 @@
 static DECLCALLBACK(uint32_t) vnetIoCb_GetHostMinimalFeatures(void *pvState)
 {
+    RT_NOREF_PV(pvState);
     return VNET_F_MAC;
 }
Index: trunk/src/VBox/Devices/Parallel/DrvHostParallel.cpp
===================================================================
--- trunk/src/VBox/Devices/Parallel/DrvHostParallel.cpp	(revision 62617)
+++ trunk/src/VBox/Devices/Parallel/DrvHostParallel.cpp	(revision 62618)
@@ -172,4 +172,5 @@
 /**
  * R0 mode function to write byte value to data port.
+ *
  * @returns VBox status code.
  * @param   pDrvIns    Driver instance.
@@ -186,6 +187,6 @@
 
 /**
- * R0 mode function to write byte value to parallel port control
- * register.
+ * R0 mode function to write byte value to parallel port control register.
+ *
  * @returns VBox status code.
  * @param   pDrvIns     Driver instance.
@@ -201,15 +202,13 @@
 
 /**
- * R0 mode function to ready byte value from the parallel port
- * data register
+ * R0 mode function to ready byte value from the parallel port data register.
+ *
  * @returns VBox status code.
  * @param   pDrvIns    Driver instance.
- * @param   u64Arg     Not used.
- */
-static int drvR0HostParallelReqRead(PPDMDRVINS pDrvIns, uint64_t u64Arg)
-{
-    uint8_t u8Data;
+ */
+static int drvR0HostParallelReqRead(PPDMDRVINS pDrvIns)
+{
     PDRVHOSTPARALLEL pThis = PDMINS_2_DATA(pDrvIns, PDRVHOSTPARALLEL);
-    u8Data = ASMInU8(pThis->u32LptAddr);
+    uint8_t u8Data = ASMInU8(pThis->u32LptAddr);
     LogFlowFunc(("read from data port=%#x val=%#x\n", pThis->u32LptAddr, u8Data));
     pThis->u8ReadIn = u8Data;
@@ -218,15 +217,13 @@
 
 /**
- * R0 mode function to ready byte value from the parallel port
- * control register.
+ * R0 mode function to ready byte value from the parallel port control register.
+ *
  * @returns VBox status code.
  * @param   pDrvIns    Driver instance.
- * @param   u64Arg     Not used.
- */
-static int drvR0HostParallelReqReadControl(PPDMDRVINS pDrvIns, uint64_t u64Arg)
-{
-    uint8_t u8Data;
+ */
+static int drvR0HostParallelReqReadControl(PPDMDRVINS pDrvIns)
+{
     PDRVHOSTPARALLEL pThis = PDMINS_2_DATA(pDrvIns, PDRVHOSTPARALLEL);
-    u8Data = ASMInU8(pThis->u32LptAddrControl);
+    uint8_t u8Data = ASMInU8(pThis->u32LptAddrControl);
     LogFlowFunc(("read from ctrl port=%#x val=%#x\n", pThis->u32LptAddr, u8Data));
     pThis->u8ReadInControl = u8Data;
@@ -235,15 +232,13 @@
 
 /**
- * R0 mode function to ready byte value from the parallel port
- * status register.
+ * R0 mode function to ready byte value from the parallel port status register.
+ *
  * @returns VBox status code.
  * @param   pDrvIns    Driver instance.
- * @param   u64Arg     Not used.
- */
-static int drvR0HostParallelReqReadStatus(PPDMDRVINS pDrvIns, uint64_t u64Arg)
-{
-    uint8_t u8Data;
+ */
+static int drvR0HostParallelReqReadStatus(PPDMDRVINS pDrvIns)
+{
     PDRVHOSTPARALLEL pThis = PDMINS_2_DATA(pDrvIns, PDRVHOSTPARALLEL);
-    u8Data = ASMInU8(pThis->u32LptAddrStatus);
+    uint8_t u8Data = ASMInU8(pThis->u32LptAddrStatus);
     LogFlowFunc(("read from status port=%#x val=%#x\n", pThis->u32LptAddr, u8Data));
     pThis->u8ReadInStatus = u8Data;
@@ -254,4 +249,5 @@
  * R0 mode function to set the direction of parallel port -
  * operate in bidirectional mode or single direction.
+ *
  * @returns VBox status code.
  * @param   pDrvIns    Driver instance.
@@ -291,11 +287,11 @@
     {
         case DRVHOSTPARALLELR0OP_READ:
-            rc = drvR0HostParallelReqRead(pDrvIns, u64Arg);
+            rc = drvR0HostParallelReqRead(pDrvIns);
             break;
         case DRVHOSTPARALLELR0OP_READSTATUS:
-            rc = drvR0HostParallelReqReadStatus(pDrvIns, u64Arg);
+            rc = drvR0HostParallelReqReadStatus(pDrvIns);
             break;
         case DRVHOSTPARALLELR0OP_READCONTROL:
-            rc = drvR0HostParallelReqReadControl(pDrvIns, u64Arg);
+            rc = drvR0HostParallelReqReadControl(pDrvIns);
             break;
         case DRVHOSTPARALLELR0OP_WRITE:
Index: trunk/src/VBox/Devices/Storage/DevBusLogic.cpp
===================================================================
--- trunk/src/VBox/Devices/Storage/DevBusLogic.cpp	(revision 62617)
+++ trunk/src/VBox/Devices/Storage/DevBusLogic.cpp	(revision 62618)
@@ -2408,4 +2408,6 @@
 PDMBOTHCBDECL(int) buslogicMMIORead(PPDMDEVINS pDevIns, void *pvUser, RTGCPHYS GCPhysAddr, void *pv, unsigned cb)
 {
+    RT_NOREF_PV(pDevIns); RT_NOREF_PV(pvUser); RT_NOREF_PV(GCPhysAddr); RT_NOREF_PV(pv); RT_NOREF_PV(cb);
+
     /* the linux driver does not make use of the MMIO area. */
     AssertMsgFailed(("MMIO Read\n"));
@@ -2426,4 +2428,6 @@
 PDMBOTHCBDECL(int) buslogicMMIOWrite(PPDMDEVINS pDevIns, void *pvUser, RTGCPHYS GCPhysAddr, void const *pv, unsigned cb)
 {
+    RT_NOREF_PV(pDevIns); RT_NOREF_PV(pvUser); RT_NOREF_PV(GCPhysAddr); RT_NOREF_PV(pv); RT_NOREF_PV(cb);
+
     /* the linux driver does not make use of the MMIO area. */
     AssertMsgFailed(("MMIO Write\n"));
@@ -2446,4 +2450,5 @@
     PBUSLOGIC pBusLogic = PDMINS_2_DATA(pDevIns, PBUSLOGIC);
     unsigned iRegister = Port % 4;
+    RT_NOREF_PV(pvUser); RT_NOREF_PV(cb);
 
     Assert(cb == 1);
Index: trunk/src/VBox/Devices/Storage/DevLsiLogicSCSI.cpp
===================================================================
--- trunk/src/VBox/Devices/Storage/DevLsiLogicSCSI.cpp	(revision 62617)
+++ trunk/src/VBox/Devices/Storage/DevLsiLogicSCSI.cpp	(revision 62618)
@@ -1688,4 +1688,5 @@
     uint32_t        offReg = Port - pThis->IOPortBase;
     int             rc;
+    RT_NOREF_PV(pvUser);
 
     if (!(offReg & 3))
@@ -1711,4 +1712,6 @@
     PLSILOGICSCSI   pThis   = PDMINS_2_DATA(pDevIns, PLSILOGICSCSI);
     uint32_t        offReg  = Port - pThis->IOPortBase;
+    RT_NOREF_PV(pvUser);
+    RT_NOREF_PV(cb);
 
     int rc = lsilogicRegisterRead(pThis, offReg & ~(uint32_t)3, pu32);
@@ -1728,4 +1731,5 @@
     uint32_t        u32;
     int             rc;
+    RT_NOREF_PV(pvUser);
 
     /* See comments in lsilogicR3Map regarding size and alignment. */
@@ -1761,4 +1765,5 @@
     uint32_t        offReg = GCPhysAddr - pThis->GCPhysMMIOBase;
     Assert(!(offReg & 3)); Assert(cb == 4);
+    RT_NOREF_PV(pvUser);
 
     return lsilogicRegisterRead(pThis, offReg, (uint32_t *)pv);
@@ -1773,4 +1778,5 @@
 #endif
 
+    RT_NOREF_PV(pDevIns); RT_NOREF_PV(pvUser); RT_NOREF_PV(GCPhysAddr); RT_NOREF_PV(pv); RT_NOREF_PV(cb);
     return VINF_SUCCESS;
 }
@@ -1784,4 +1790,5 @@
 #endif
 
+    RT_NOREF_PV(pDevIns); RT_NOREF_PV(pvUser); RT_NOREF_PV(GCPhysAddr); RT_NOREF_PV(pv); RT_NOREF_PV(cb);
     return VINF_SUCCESS;
 }
Index: trunk/src/VBox/Devices/VirtIO/Virtio.cpp
===================================================================
--- trunk/src/VBox/Devices/VirtIO/Virtio.cpp	(revision 62617)
+++ trunk/src/VBox/Devices/VirtIO/Virtio.cpp	(revision 62618)
@@ -272,4 +272,5 @@
 int vpciRaiseInterrupt(VPCISTATE *pState, int rcBusy, uint8_t u8IntCause)
 {
+    RT_NOREF_PV(rcBusy);
     // int rc = vpciCsEnter(pState, rcBusy);
     // if (RT_UNLIKELY(rc != VINF_SUCCESS))
@@ -327,4 +328,5 @@
     int         rc     = VINF_SUCCESS;
     STAM_PROFILE_ADV_START(&pState->CTXSUFF(StatIORead), a);
+    RT_NOREF_PV(pvUser);
 
     /*
@@ -425,4 +427,5 @@
     bool        fHasBecomeReady;
     STAM_PROFILE_ADV_START(&pState->CTXSUFF(StatIOWrite), a);
+    RT_NOREF_PV(pvUser);
 
     Port -= pState->IOPortBase;